Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 31 lines (23 sloc) 1.001 kb
8cff898b »
2012-01-28 Get rid of Jeweler. I don't need that shit.
1 # encoding: utf-8
f65cedc2 »
2012-01-28 Bump version to 0.1.0
2 require File.expand_path('lib/recommendable/version')
1256f529 »
2012-01-20 Yo dawg, I heard you like apps...
3
4 Gem::Specification.new do |s|
8de46f40 »
2012-07-06 Add 'hooks' to dependencies, change definitions of hooks accordingly.…
5 s.name = 'recommendable'
8cff898b »
2012-01-28 Get rid of Jeweler. I don't need that shit.
6 s.version = Recommendable::VERSION
322c6831 »
2012-02-06 Make gemspec have the right date for versioning
7 s.date = Time.now.strftime('%Y-%m-%d')
470a27e6 »
2012-09-23 Code cleanup
8
8de46f40 »
2012-07-06 Add 'hooks' to dependencies, change definitions of hooks accordingly.…
9 s.authors = ['David Celis']
10 s.email = 'david@davidcelis.com'
11 s.homepage = 'http://github.com/davidcelis/recommendable'
470a27e6 »
2012-09-23 Code cleanup
12
8de46f40 »
2012-07-06 Add 'hooks' to dependencies, change definitions of hooks accordingly.…
13 s.summary = 'Add like-based and/or dislike-based recommendations to your app.'
14 s.description = 'Allow a model (typically User) to Like and/or Dislike models in your app. Generate recommendations quickly using redis.'
470a27e6 »
2012-09-23 Code cleanup
15
38fbcf94 »
2012-07-06 Fix gemspec.
16 s.files = `git ls-files`.split("\n")
f65cedc2 »
2012-01-28 Bump version to 0.1.0
17 s.has_rdoc = 'yard'
470a27e6 »
2012-09-23 Code cleanup
18
8de46f40 »
2012-07-06 Add 'hooks' to dependencies, change definitions of hooks accordingly.…
19 s.add_development_dependency 'sqlite3'
20 s.add_development_dependency 'minitest'
cbbe1a4e »
2012-07-06 Bump version to 1.1.1 and fix the requiring of hooks.
21 s.add_development_dependency 'miniskirt'
8de46f40 »
2012-07-06 Add 'hooks' to dependencies, change definitions of hooks accordingly.…
22 s.add_development_dependency 'shoulda'
23 s.add_development_dependency 'yard', '~> 0.6.0'
dabd669b »
2012-07-06 Update gemspec.
24 s.add_development_dependency 'bundler'
470a27e6 »
2012-09-23 Code cleanup
25
8de46f40 »
2012-07-06 Add 'hooks' to dependencies, change definitions of hooks accordingly.…
26 s.add_dependency 'rails', '>= 3.0.0'
ed1821ff »
2012-07-20 Update the Redis gem dependency.
27 s.add_dependency 'redis', '>= 2.2.0'
c1f01257 »
2012-08-03 Update hooks requirement.
28 s.add_dependency 'hooks', '>= 0.2.1'
1256f529 »
2012-01-20 Yo dawg, I heard you like apps...
29 end
30
Something went wrong with that request. Please try again.